add_newline = false

format="""
$python\
$username\
$hostname\
$directory\
$git_branch\
$git_status\
$jobs\
$character
"""

right_format="""
$cmd_duration
"""

[python]
format = '[(${symbol} $virtualenv)]($style) '
style = '15'
symbol = ''

[aws]
format = '[$symbol ($profile)]($style) '
style = '208'
symbol = ''

[kubernetes]
disabled = false
format = '[$symbol ($context)/($namespace)]($style) '
style = '38'

[username]
format = '[$user]($style)'
style_user = 'normal'
style_root = 'bold 196'

[hostname]
format = '([@$hostname]($style) )'
style = 'normal'

[directory]
format = '[($read_only )]($read_only_style)[$path]($style) '
style = '37'
read_only_style = '37'
read_only = ''
truncation_length = 0

[git_state]
format = '\([$state( $progress_current/$progress_total)]($style)\) '
style = 'bright-black'

[git_branch]
format = '[$symbol$branch]($style)'
style = '246'
symbol = ' '

[git_status]
format = '[[(*$conflicted$untracked$modified$staged$renamed$deleted)](218)($ahead_behind$stashed) ]($style)'
style = 'green'
conflicted = '​'
untracked = '​'
modified = '​'
staged = '​'
renamed = '​'
deleted = '​'
stashed = '≡'

[jobs]
style = '70'
symbol = '⇶'

[character]
success_symbol = '[❯](76)'
error_symbol = '[❯](196)'

[cmd_duration]
format = '[$duration]($style)'
style = '220'
